# pandas.Series.dropna

Series.dropna(axis=0, inplace=False, how=None)

  Return a new Series with missing values removed.

  See the User Guide for more on which values are considered missing, and how to work with missing data.

  Parameters
    axis{0 or ‘index’}, default 0

      There is only one axis to drop values from.

    inplace bool, default False

      If True, do operation inplace and return None.

    how str, optional

      Not in use. Kept for compatibility.

  Returns
    Series or None

      Series with NA entries dropped from it or None if `inplace=True`.

  See also

  `Series.isna`

    Indicate missing values.

  `Series.notna`

    Indicate existing (non-missing) values.

  `Series.fillna`

    Replace missing values.

  `DataFrame.dropna`

    Drop rows or columns which contain NA values.

  `Index.dropna`

    Drop missing indices.

  Examples

      >>> ser = pd.Series([1., 2., np.nan])
      >>> ser
      0    1.0
      1    2.0
      2    NaN
      dtype: float64

  Drop NA values from a Series.

      >>> ser.dropna()
      0    1.0
      1    2.0
      dtype: float64

  Keep the Series with valid entries in the same variable.

      >>> ser.dropna(inplace=True)
      >>> ser
      0    1.0
      1    2.0
      dtype: float64

  Empty strings are not considered NA values. `None` is considered an NA value.

      >>> ser = pd.Series([np.NaN, 2, pd.NaT, '', None, 'I stay'])
      >>> ser
      0       NaN
      1         2
      2       NaT
      3
      4      None
      5    I stay
      dtype: object
      >>> ser.dropna()
      1         2
      3
      5    I stay
      dtype: object